# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Gtk2.pm) perl(Gtk2/Ex/ContainerBits.pm) perl(Gtk2/Ex/Simple/TiedList.pm) perl(List/Util.pm) perl(Pod/Simple/HTML.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 5
%define module_name Gtk2-Ex-TiedListColumn
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 5
Release: alt1
Summary: Tie an array to a Gtk2-Perl TreeModel.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/gtk2-ex-tiedlistcolumn/index.html

Source0: http://cpan.org.ua/authors/id/K/KR/KRYDE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
TiedListColumn ties an array to a single column of a list-type
`Gtk2::TreeModel' object so that reading from the array reads from the
model.  If the model implements modification functions like `set',
`insert' and `remove' in the style of `Gtk2::ListStore' then writing to
the array modifies the model too.

Most `tie' things tend to be better in concept than actuality and
TiedListColumn is no exception.  The benefit is being able to apply generic
array algorithms to data in a model, eg. a binary search, uniqifying, or
perl's array slice manipulation.  As a starting point it's good, but a tie
is a fair slowdown and model access is not very fast anyway, so for big
crunching you're likely to end up copying data out to an ordinary array
anyway.  (See `column_contents' in `Gtk2::Ex::TreeModelBits' for help on
that).


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING Changes
%perl_vendor_privlib/G*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 5-alt1
- initial import by package builder

